Skip to main content
GET
/
billing
/
charge
/
table
Get Charges Table
curl --request GET \
  --url https://api.decodahealth.com/billing/charge/table \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
{
  "data": [
    {
      "id": "<string>",
      "total": 123,
      "totalOutstanding": 123,
      "status": "OUTSTANDING",
      "patient": {
        "id": "<string>",
        "type": "PROVIDER",
        "createdDate": "2023-11-07T05:31:56Z",
        "firstName": "<string>",
        "lastName": "<string>",
        "phoneNumber": "<string>",
        "email": "<string>",
        "locationId": "<string>",
        "externalId": "<string>",
        "address": "<string>",
        "addressLineTwo": "<string>",
        "city": "<string>",
        "state": "<string>",
        "zipCode": "<string>",
        "country": "<string>",
        "addressValid": true,
        "meta": {},
        "isArchived": true,
        "primaryLocationId": "<string>",
        "gender": "<string>",
        "pronouns": "<string>",
        "preferredName": "<string>",
        "dateOfBirth": "2023-12-25",
        "patientMedications": [
          "<string>"
        ],
        "patientSource": "SELF_SCHEDULING",
        "leadSource": "<string>",
        "onSchedulingBlacklist": true,
        "surchargeDisabled": true,
        "tags": [
          {
            "id": "<string>",
            "name": "<string>",
            "isActive": true,
            "createdDate": "2023-11-07T05:31:56Z",
            "emoji": "<string>",
            "color": "<string>",
            "updatedDate": "2023-11-07T05:31:56Z"
          }
        ],
        "creditBalance": 123,
        "preferredProviderId": "<string>",
        "dosespotPatientId": "<string>"
      },
      "createdDate": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "ruleSetId": "<string>",
      "externalCreatedDate": "2023-11-07T05:31:56Z",
      "externalId": "<string>",
      "creator": {
        "id": "<string>",
        "type": "PROVIDER",
        "firstName": "<string>",
        "lastName": "<string>",
        "phoneNumber": "<string>",
        "email": "<string>",
        "locationId": "<string>"
      },
      "adjustments": [],
      "payments": [],
      "plannedPayments": [],
      "comment": "<string>",
      "items": [],
      "locationId": "<string>",
      "tips": []
    }
  ],
  "total": 123
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

page
integer | null
per_page
integer | null
sort_by
string
default:created_date
sort_direction
string
default:desc
location_id
string | null
id
string | null
patient_id
string | null
name
string | null
total
integer[] | null
total_outstanding
integer[] | null
description
string | null
status
enum<string>[] | null
Available options:
OUTSTANDING,
PAID,
EXTERNAL_SETTLEMENT,
VOID,
WRITE_OFF,
REFUNDED,
CHARGEBACK,
PAYMENT_PLAN,
COLLECTIONS
charge_external_id
string | null
patient_external_id
string | null
created_date
payment_date
tz
string | null
location_ids
string[] | null

Response

Successful Response

data
ChargeTable · object[]
required
total
integer
required